For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create New Affiliate

POST https://platform.shoffi.app/API/affiliate/create

Request Body

Name
Type
Description

apiKey*

String

Your Shoffi API Key (Integrations → API Key)

appId*

Integer

Your app ID

affiliateDetails*

Object

Affiliate account details

groupId

Integer

Affiliate group ID. If sent, Shoffi applies the group terms.

affiliateTerms

Object

Affiliate contract terms. Used only when groupId is not sent.

Shoffi applies terms in this order:

  1. groupId

  2. affiliateTerms

  3. Your app default group

If you send both groupId and affiliateTerms, groupId takes priority.

{
    "affiliateDetails": {
        "email": "[email protected]",
        "firstName": "Tobias",
        "lastName": "Lütke",
        "nickName": "tobi"
    },
    "affiliateTerms": {
        "revenueShare": 30,
        "cpi": 10,
        "limitPeriod": 24,
        "minWithdrawal": 50,
        "recurringChargeOnly": true,
        "isNetAmount": false
    },
    "affiliateLink": "https://platform.shoffi.app/r/rl_xxxxxxxx"
}
{
    "status": 400,
    "message": "Error details"
}

Please Note! If the email you send in the POST request is already associated with an affiliate account in Shoffi, we will not create a new account. We will update the existing one with a new connection to your app with the group terms or affiliate terms you sent. You will still get a "200" response with the relevant data.

Example request with custom terms

Example request with group terms

Parameter breakdown

affiliateDetails

  • email: The new affiliate email address

  • firstName: The new affiliate first name

  • lastName: The new affiliate last name

  • nickName: The new affiliate nickname

groupId

  • groupId: The ID of the affiliate group to assign to the affiliate. When this value is sent, Shoffi uses the group's terms.

You can find the group ID under Groups → click the group name → Group ID field.

affiliateTerms

  • revenueShare: The percentage you are willing to pay the affiliate for every transaction made by a store they referred (1–100). When cpi is greater than 0, you may also set revenueShare to 0. You can read more about the affiliate commission.

  • cpi: Cost per install. The amount the affiliate will be rewarded for each successful app install. You can set the amount to 0 if you do not want to pay per install.

  • limitPeriod: The period in which the affiliate will earn commissions from transactions made by the referred store, in months. If not limited, the affiliate will earn commissions as long as the referral is active.

  • minWithdrawal: The minimum amount an affiliate must earn before they can request a withdrawal. This amount is in USD.

  • recurringChargeOnly: Apply affiliate earnings from recurring charges only, excluding one-time fees charged by the app.

  • isNetAmount: Calculate revenue share from the net amount. Default is false.

Response example

Last updated